# Class webdriver.Alert

code »

Represents a modal dialog such as `alert`, `confirm`, or `prompt`. Provides functions to retrieve the message displayed with the alert, accept or dismiss the alert, and set the response text (in the case of `prompt`).

## Constructor

webdriver.Alert ( driver, text )

Parameters

driver: `!webdriver.WebDriver`
  The driver controlling the browser this alert is attached to.
text: `string`
  The message text displayed with this alert.

Show:Public Protected Private

## Instance Methods

code »accept ( ) ⇒ `!webdriver.promise.Promise.<void>`

Accepts this alert.

Returns

A promise that will be resolved when this command has completed.

code »dismiss ( ) ⇒ `!webdriver.promise.Promise.<void>`

Dismisses this alert.

Returns

A promise that will be resolved when this command has completed.

code »getText ( ) ⇒ `!webdriver.promise.Promise.<string>`

Retrieves the message text displayed with this alert. For instance, if the alert were opened with alert("hello"), then this would return "hello".

Returns

A promise that will be resolved to the text displayed with this alert.

code »sendKeys ( text ) ⇒ `!webdriver.promise.Promise.<void>`

Sets the response text on this alert. This command will return an error if the underlying alert does not support response text (e.g. window.alert and window.confirm).

Parameters

text: `string`
  The text to set.

Returns

A promise that will be resolved when this command has completed.

## Instance Properties

code »driver_ : `!webdriver.WebDriver`
code »text_ : `!webdriver.promise.Promise.<string>`